########### AGGREGATED COMPONENTS AND DEPENDENCIES FOR THE MULTI CONFIG #####################
#############################################################################################

list(APPEND spdlog_COMPONENT_NAMES spdlog::spdlog)
list(REMOVE_DUPLICATES spdlog_COMPONENT_NAMES)
if(DEFINED spdlog_FIND_DEPENDENCY_NAMES)
  list(APPEND spdlog_FIND_DEPENDENCY_NAMES fmt)
  list(REMOVE_DUPLICATES spdlog_FIND_DEPENDENCY_NAMES)
else()
  set(spdlog_FIND_DEPENDENCY_NAMES fmt)
endif()
set(fmt_FIND_MODE "NO_MODULE")

########### VARIABLES #######################################################################
#############################################################################################
set(spdlog_PACKAGE_FOLDER_NONE "/home/erris/.conan2/p/b/spdlof53067f4b30d1/p")
set(spdlog_BUILD_MODULES_PATHS_NONE )


set(spdlog_INCLUDE_DIRS_NONE "${spdlog_PACKAGE_FOLDER_NONE}/include")
set(spdlog_RES_DIRS_NONE )
set(spdlog_DEFINITIONS_NONE "-DSPDLOG_FMT_EXTERNAL"
			"-DSPDLOG_COMPILED_LIB")
set(spdlog_SHARED_LINK_FLAGS_NONE )
set(spdlog_EXE_LINK_FLAGS_NONE )
set(spdlog_OBJECTS_NONE )
set(spdlog_COMPILE_DEFINITIONS_NONE "SPDLOG_FMT_EXTERNAL"
			"SPDLOG_COMPILED_LIB")
set(spdlog_COMPILE_OPTIONS_C_NONE )
set(spdlog_COMPILE_OPTIONS_CXX_NONE )
set(spdlog_LIB_DIRS_NONE "${spdlog_PACKAGE_FOLDER_NONE}/lib")
set(spdlog_BIN_DIRS_NONE )
set(spdlog_LIBRARY_TYPE_NONE STATIC)
set(spdlog_IS_HOST_WINDOWS_NONE 0)
set(spdlog_LIBS_NONE spdlog)
set(spdlog_SYSTEM_LIBS_NONE pthread)
set(spdlog_FRAMEWORK_DIRS_NONE )
set(spdlog_FRAMEWORKS_NONE )
set(spdlog_BUILD_DIRS_NONE )
set(spdlog_NO_SONAME_MODE_NONE FALSE)


# COMPOUND VARIABLES
set(spdlog_COMPILE_OPTIONS_NONE
    "$<$<COMPILE_LANGUAGE:CXX>:${spdlog_COMPILE_OPTIONS_CXX_NONE}>"
    "$<$<COMPILE_LANGUAGE:C>:${spdlog_COMPILE_OPTIONS_C_NONE}>")
set(spdlog_LINKER_FLAGS_NONE
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,SHARED_LIBRARY>:${spdlog_SHARED_LINK_FLAGS_NONE}>"
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,MODULE_LIBRARY>:${spdlog_SHARED_LINK_FLAGS_NONE}>"
    "$<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:${spdlog_EXE_LINK_FLAGS_NONE}>")


set(spdlog_COMPONENTS_NONE spdlog::spdlog)
########### COMPONENT spdlog::spdlog VARIABLES ############################################

set(spdlog_spdlog_spdlog_INCLUDE_DIRS_NONE "${spdlog_PACKAGE_FOLDER_NONE}/include")
set(spdlog_spdlog_spdlog_LIB_DIRS_NONE "${spdlog_PACKAGE_FOLDER_NONE}/lib")
set(spdlog_spdlog_spdlog_BIN_DIRS_NONE )
set(spdlog_spdlog_spdlog_LIBRARY_TYPE_NONE STATIC)
set(spdlog_spdlog_spdlog_IS_HOST_WINDOWS_NONE 0)
set(spdlog_spdlog_spdlog_RES_DIRS_NONE )
set(spdlog_spdlog_spdlog_DEFINITIONS_NONE "-DSPDLOG_FMT_EXTERNAL"
			"-DSPDLOG_COMPILED_LIB")
set(spdlog_spdlog_spdlog_OBJECTS_NONE )
set(spdlog_spdlog_spdlog_COMPILE_DEFINITIONS_NONE "SPDLOG_FMT_EXTERNAL"
			"SPDLOG_COMPILED_LIB")
set(spdlog_spdlog_spdlog_COMPILE_OPTIONS_C_NONE "")
set(spdlog_spdlog_spdlog_COMPILE_OPTIONS_CXX_NONE "")
set(spdlog_spdlog_spdlog_LIBS_NONE spdlog)
set(spdlog_spdlog_spdlog_SYSTEM_LIBS_NONE pthread)
set(spdlog_spdlog_spdlog_FRAMEWORK_DIRS_NONE )
set(spdlog_spdlog_spdlog_FRAMEWORKS_NONE )
set(spdlog_spdlog_spdlog_DEPENDENCIES_NONE fmt::fmt)
set(spdlog_spdlog_spdlog_SHARED_LINK_FLAGS_NONE )
set(spdlog_spdlog_spdlog_EXE_LINK_FLAGS_NONE )
set(spdlog_spdlog_spdlog_NO_SONAME_MODE_NONE FALSE)

# COMPOUND VARIABLES
set(spdlog_spdlog_spdlog_LINKER_FLAGS_NONE
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,SHARED_LIBRARY>:${spdlog_spdlog_spdlog_SHARED_LINK_FLAGS_NONE}>
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,MODULE_LIBRARY>:${spdlog_spdlog_spdlog_SHARED_LINK_FLAGS_NONE}>
        $<$<STREQUAL:$<TARGET_PROPERTY:TYPE>,EXECUTABLE>:${spdlog_spdlog_spdlog_EXE_LINK_FLAGS_NONE}>
)
set(spdlog_spdlog_spdlog_COMPILE_OPTIONS_NONE
    "$<$<COMPILE_LANGUAGE:CXX>:${spdlog_spdlog_spdlog_COMPILE_OPTIONS_CXX_NONE}>"
    "$<$<COMPILE_LANGUAGE:C>:${spdlog_spdlog_spdlog_COMPILE_OPTIONS_C_NONE}>")